Jump to:
<a href='' ng-click="openCircuits()">circuits</a>
<hr>
<h2 ng-if="!isNew">Circuit edit</h2>
<h2 ng-if="isNew">New circuit</h2>
<form name="circuitForm" class="editArticleDialog">
    <!--START: names -->
    <div layout="row">
        <md-input-container class="md-icon-float md-block" flex-gt-sm="40">
            <label>Name (cz)</label>
            <md-icon class="name">
                <img class="png-icon name" style="width: 24px; height: 24px;" src="public/flags/cz.png"/>
            </md-icon>
            <input ng-model="circuit.title" type="text">
        </md-input-container>
    </div>
    <div layout="row">
        <md-input-container class="md-icon-float md-block" flex-gt-sm="40">
            <label>Name (en)</label>
            <md-icon class="name">
                <img class="png-icon name" style="width: 24px; height: 24px;" src="public/flags/gb.png"/>
            </md-icon>
            <input ng-model="circuit.title_en" type="text">
        </md-input-container>
    </div>
    <!--END: names -->
    <!--START: color -->
    <div layout="row">
        <md-input-container class="md-icon-float md-block" flex-gt-sm="10">
            <label>Color</label>
            <md-icon class="name">
                <div style="background-color:{{circuit.color}};">&nbsp;</div>
            </md-icon>
            <input ng-model="circuit.color" type="text">
        </md-input-container>
    </div>
    <!--END: color -->
    <!-- START: main content -->
    <div layout="row">
        <b>Content</b>
    </div>
    <div layout="row">
        <md-tabs md-dynamic-height="" md-border-bottom="">
            <md-tab>
                <md-tab-label>
                    <img class="png-icon" style="width: 24px; height: 24px;" src="public/flags/cz.png"></img>
                    <span>Česky ({{circuit.content.split(' ').length}}
                        slov)</span>
                </md-tab-label>
                <md-tab-body>
                    <md-input-container class="md-icon-float md-block fullwidth">
                        <div class="ckEditorWrapper">
                            <div ckeditor="options" ng-model="circuit.content" ready="onReady()"></div>
                        </div>
                    </md-input-container>
                </md-tab-body>
            </md-tab>
            <md-tab>
                <md-tab-label>
                    <img class="png-icon" style="width: 24px; height: 24px;" src="public/flags/gb.png"></img>
                    <span>English ({{circuit.content_en.split(' ').length}}
                        words)</span>
                </md-tab-label>
                <md-tab-body>
                    <md-input-container class="md-icon-float md-block fullwidth">
                        <div class="ckEditorWrapper">
                            <div ckeditor="options" ng-model="circuit.content_en" ready="onReady()"></div>
                        </div>
                    </md-input-container>
                </md-tab-body>
            </md-tab>
        </md-tabs>
    </div>
    <br/>
    <div layout="row">
        <p><b>Author(s) of texts:</b></p>
        <md-button class="md-primary" ng-click="manageAuthors()">Manage...</md-button>
    </div>
    <br/><br/>
    <!--END: main content -->
    <!--START: image -->
    <div layout="row">
        <b>Primary image:</b>
    </div>
    <div layout="row">
        <div ngf-drop ngf-select ng-model="files" class="drop-box" ngf-drag-over-class="'dragover'" ngf-multiple="false" ngf-allow-dir="false" accept="image/*" ngf-pattern="'image/*'">Drop images here or click to upload</div>
        <div ngf-no-file-drop>File Drag/Drop is not supported for this browser</div>
        <div ng-if="circuit.image!==undefined && circuit.image!==false" class="thumb-container">
            <img ng-click="previewImage(circuit.image.url, $event)" ng-show="circuit.image.url!==undefined && circuit.image.url!==null" class="img-center-cropped-100-100" ng-src="{{circuit.image.url}}"></img>
            <span ng-if="circuit.image.status==='uploading'">{{circuit.image.progress}}%</span>
            <md-button ng-if="circuit.image.status!=='uploading'" class="button-delete md-fab md-mini" aria-label="Delete">
                <md-icon md-font-icon="material-icons" ng-click="deleteImage(image)">delete</md-icon>
            </md-button>
        </div>
    </div>
    <br/><br/>
    <!--END: image -->
    <!--START: map -->
    <b>Circuit map</b><br/>
    <ui-gmap-google-map center='map.center' zoom='map.zoom' events='map.events' bounds='map.bounds'>
        <!--
        <ui-gmap-markers models="model.markers" coords="'self'" icon="'icon'" events='map.markerEvents' options='map.markerOptions'>
            <ui-gmap-windows show="show">
                <div ng-controller="infoWindowCtrl">
                    <span ng-non-bindable>
                        <b>#{{id}}:
                            {{title}}</b>
                    </span><br/>
                    <br/>
                    <button ng-click="deleteMarker()">delete</button>
                </div>
            </ui-gmap-windows>
        </ui-gmap-markers> -->
    </ui-gmap-google-map>
    <!--END: map -->
    <!--START: primary points -->
    <div ng-if="isNew===false">
      <h3>Primary points
          <md-button class="md-raised md-primary" ng-click="addPrimaryPoint()" flex-gt-sm="20">Add new primary point</md-button>
      </h3>
      <md-table-container>
          <table md-table md-progress="primaryPointsTable.promise" class="primaryPointsTable">
              <thead md-head md-order="primaryPointsTable.query.order">
                  <tr md-row>
                      <th md-column>
                          <span>Order</span>
                      </th>
                      <th md-column>
                          <span>Title (CZ)</span>
                      </th>
                      <th md-column>
                          <span>On map</span>
                      </th>
                      <th md-column>
                          <span>Active</span>
                      </th>
                      <th md-column class="actionsColumnHeader">Actions</th>
                  </tr>
              </thead>
              <tbody md-body ui-sortable="sortableOptions" ng-model="primaryPointsTable.points">
                  <tr
                      md-row
                      md-select="primary"
                      md-select-id="id"
                      md-auto-select
                      ng-repeat="primary in primaryPointsTable.points | orderBy:primaryPointsTable.query.order | limitTo:primaryPointsTable.query.limit: (primaryPointsTable.query.page -1) * primaryPointsTable.query.limit">
                      <td md-cell>{{primary.order}}</td>
                      <td md-cell>{{primary.name}}</td>
                      <td md-cell class="yes-no-table-cell"><span class="no" ng-if="primary.map_marker_id == null">no</span><span class="yes" ng-if="primary.map_marker_id > 0">yes</span></td>
                      <td md-cell>{{primary.active}}</td>
                      <td md-cell class="actionsCell">
                        <div layout="row">
                          <a title="edit" href='' ng-click="editPrimaryPoint(primary)"><i class="material-icons">mode_edit</i></a>
                          <a title="delete" href='' ng-click="deletePrimaryPoint(primary)"><i class="material-icons">delete</i></a>
                        </div>
                      </td>
                  </tr>
              </tbody>
          </table>
      </md-table-container>
      <md-table-pagination md-limit="primaryPointsTable.query.limit" md-limit-options="[5, 10, 15]" md-page="primaryPointsTable.query.page" md-total="{{primaryPointsTable.points.length}}" md-on-paginate="getPrimaryPoints" md-page-select></md-table-pagination>
    </div>
    <!--END: primary points -->
    <br/>
    <br/>
    <div class="floating-bottom-action-buttons-bar">
        <div layout="row">
            <span flex></span>
            <md-button class="md-raised md-primary" ng-click="save()" ng-disabled="circuitForm.$invalid" md-autofocus>
                {{getSaveLabel()}}
            </md-button>
            <md-button ng-click="cancel()" style="margin-right:20px;">
                Cancel
            </md-button>
        </div>
    </div>
    <br/>
    <br/>
    <br/>
</form>
